Ubuntu is a computer operating system based on the Debian Linux distribution and distributed as free and open source software, using its own desktop environment.

learn more… | top users | synonyms

1
vote
0answers
8 views

Simple solution for escaping the QGIS locked into fullscreen mode on Ubuntu 12.04 [duplicate]

" No crash in this case, but I made the mistake of toggling to fullscreen mode on my netbook running Ubuntu 12.04. It's now impossible to escape this "No Menus" view, and it seems to have disabled ...
5
votes
3answers
4k views

Installing Postgis on Ubuntu 12.04: unmet dependencies libgdal1

After sudo apt-get install postgresql-9.1-postgis I got that massage: The following packages have unmet dependencies: postgresql-9.1-postgis : Depends: libgdal1 (>= 1.9.0) but it is not going to ...
3
votes
1answer
312 views

Qgis 2.2 how to fix bad epsg.wkt load

I installed Qgis 2.2 this morning from the ubuntugis repository for ubuntu precise. Qgis works great, except that all the common projections have been deleted. So, I am a Little bit having a heart ...
7
votes
3answers
2k views

How to configure QGIS and SAGA on Ubuntu (12.04 and others)?

During the past weeks, I have tried QGIS to recognize SAGA via the processing toolbox, both being installed from the ubuntugis-unstable repository. I have tried this on several virtual ubuntu ...
2
votes
2answers
203 views

spatialite - azimuth function not available

I am working with last spatialite versions on both Windows (7) and Ubuntu (13.10). I installed these from reference spatialite website. For both, version that I downloaded is 4.1.1 (nevertheless in ...
0
votes
1answer
161 views

No building and Point of interest available while setting up “Rendering Osm Data Ubuntu using MAPSERVER”

I have followed RenderingOsmDataUbuntu 10.10 and set up Google styled web map using mapserver. The osm-google.map seems to be not using table osm_new_buildings. Also no POI (Point of interest) data is ...
1
vote
5answers
988 views

Problem installing PostGIS on Ubuntu Server 13.10

I've installed PostgreSQL 9.1 and postgis on Ubuntu Server 13.10 as follows: sudo add-apt-repository-ppa:ubuntugis/ubuntugis-unstable apt-get update apt-get install postgresql-9.1-postgis then I ...
0
votes
1answer
416 views

How to install PyWPS on Ubuntu?

Since PyWPS is not yet packaged for Ubuntu an installation guide would be handy. This guide should target a vanilla Ubuntu LTS install, detailing the required dependencies.
0
votes
1answer
550 views

Installing Geoserver on Ubuntu 13.04 - “ trying to overwrite '/usr/bin/shp2pgsql-gui' ”

I am trying to upgrade Opengeo Suite from 2.0 to 4.0, specifically for the upgrade of PostGis 2.0 to 2.1, I followed the instructions outlined on this page: ...
1
vote
1answer
486 views

How to install pgrouting on Postgresql 9.2 located at /opt/PostgreSQL/9.2/ on Ubuntu Server 12.10?

I have installed Postgresql 9.2 on Ubuntu Server 12.10 using one-click installer from the EnterpriseDB. Then using the StackBuilder I installed PostGIS. Now I also want to install the pgrouting ...
0
votes
1answer
128 views

Geoserver integrated GWC not 'seeing' tiled layers

I am having trouble using Geoserver 2.4.1 integrated GWC, Ubuntu 13.04 and tomcat7 My data directory is set by setenv.sh with this string: export CATALINA_OPTS="$CATALINA_OPTS ...
5
votes
2answers
2k views

Install PostGIS and TIGER Data in Ubuntu 12.04

Could someone write a brief albeit dumbed down idiot's guide to installing postgis and loading national Tiger data on ubuntu? I've tried a few guides, namely, ...
4
votes
4answers
332 views

How to install everything “geo” in Ubuntu?

I am new to ubuntu SAUCY and I must confess the transition from windows has not been really easy for me. on windows everything seems pretty much straight forward but I am getting frustrated because It ...
0
votes
2answers
417 views

Building CartoDB from source using updated dependencies on Ubuntu 13.10

I am attempting to build CartoDB from source on an Amazon VM for the first time in my life. For purposes of sanity, I want to use the same instance/database of postgres for both CartoDB and all of my ...
0
votes
2answers
116 views

Python Error in QGIS Ubuntu 13.10 while trying to join .csv tables

Using the mqgis plugging in QGIS I cant join my csv file... This is what QGIS returns me: An error has occured while executing Python code: Traceback (most recent call last): File ...
1
vote
1answer
1k views

How to install PostGIS correctly with OpenGeo Suite 4.0 community edition on Ubuntu?

I have installed the OpenGeo Suite community edition, version 3 and 4, onto Ubuntu Server 10.04 and 12.04 multiple times in the past, with virtually no problems. With the latest version of OpenGeo ...
1
vote
1answer
39 views

Osgeo Welcome window

Is it possible to disable OsGeo Live 7.0 Welcome window? It annoys me a bit appearing each time I Run the system. Solved by: menu->settings->settings manager->session and startup->"Application ...
3
votes
3answers
231 views

Can Mapnik 2.2 and Qgis 2.0.1 be installed together?

I'm using LM15 (== Ubuntu 13.04 Raring) with the Launchpad repos for Qgis Unstable 2.0.1 and Mapnik 2.2.0. Quantum wants libgdal1h; Mapnik wants libgdal1. As soon as I install one, the other gets ...
0
votes
0answers
285 views

OpenGeo Suite Community Edition 4.0 Dependency Problems on Ubuntu 12.04

The OpenGeo Suite 4.0 has some issues with dependencies specifically with respect to GDAL and PostGres libraries. The issue arises when one tries to install libgdal-dev, which is required, among ...
0
votes
1answer
1k views

What can I do with this unzipped GDB file in QGIS?

I have a zip file that I got from the City department of information technology. Unzipped, it is a directory called DOITT_ZIP_CODE_01_29JUL2009.gdb containing a bunch of .gdbtable and .gdbtablex ...
1
vote
0answers
148 views

Merging contour lines along tile boundaries

I am working with the CANVEC data set. The data in canvec is broken up in to mapsheets. eg. 116B04. I have data covering the entire province of the Yukon. I have merged all the data in to one ...
1
vote
0answers
164 views

Uninstall ERDAS ECW/JP2 SDK Version 5.0 (Ubuntu)

I am using Ubuntu Linux as main OS when it comes to geoprocessing but I am not yet an expert using it. I recently needed QGIS to have ECW support, so I followed the instructions of Luke in the ...
2
votes
2answers
759 views

installing older version of QGIS on Ubuntu

I recently installed the latest version of QGIS (2.0) on my UBUNTU 12.04. But am not very satisfied with it. I would like to uninstall it and reinstall QGIS 1.8 v on Ubuntu. Am unable to do so. It ...
0
votes
0answers
36 views

qgis build under ubuntu 12.04, but all the python plugins are not there

All the .so plugin show correctly, only the python plugin do not. I am confused and do not know how to fix this. I think there must be some python problem . The build process is successful.
3
votes
2answers
6k views

Installing postgis on postgresql 9.1 not working

I'm trying to install Postgis 2.0 on a perfectly functionig postgresql 9.1.10 database. I installed the package via: richard@srv1:/$ sudo apt-get install postgresql-9.1-postgis postgis Reading ...
0
votes
0answers
31 views

How to install Postgresql and postgis on Ubuntu 13.10? [duplicate]

Dear all open GIS geeks, I have upgraded my OS from Ubuntu 12.10 to 13.10. I had a clean installation of 13.10 version. Can someone please suggest which version of Postgresql and PostGIS can be ...
0
votes
0answers
525 views

Cannot install OpenGeo Suite on Ubuntu 12.04

I originally posted this on this forum post, but thought it would be best to open a new thread. If I should have simply posted on the other forum, my apologies. I am also having issues installing OG ...
0
votes
0answers
447 views

What is meaning of GDAL on Ubuntu install [ERROR] Cannot make qgis.db private copy?

I am so lost and confused. I have spent days on this and not had any luck, so I'm really hoping someone can help! I am a new opensource user with an Ubuntu 13.04 OS. I used the software GUI (Ubuntu ...
1
vote
1answer
1k views

Having trouble connecting QGIS with postgres database with postgis extension [closed]

I am working on Ubuntu Precise with postgresql version 9.3 and postgis 2.0. After initially starting my postgres database and eventually getting permission errors that would prevent postgres from ...
1
vote
0answers
29 views

Qgis on Ubuntu - change permitions? [closed]

First time using (QGIS on UBUNTU). i am following some articles in order to publish qgis maps on the web. My problem is (although i am the administrator) i am not able to save or copy my *.qgs in ...
1
vote
0answers
166 views

Problems with SEXTANTE

maybe the answer is somewhere, but i can't find it right now... I'm getting problems with SEXTANTE and algorithms with GRASS, SAGA... Always is the same, they can't open the files, the error is the ...
2
votes
3answers
655 views

How to access qgis, postgis, etc in ubuntu through Amazon AWS

I'm new to programming; however i have been able to read and research the programs i need to set-up for a GIS system. I chose to use Geoserver (as WMS) Postgresql, postgis, Qgis and Openlayers. I am ...
3
votes
2answers
1k views

pgrouting 2.0 package for postgresql 9.3

I'm trying to install pgrouting 2.0 on a postgresql 9.3 database (with postgis 2.1). Are there any packages on ubuntu 12.04 or do I have to install from source? Is postgres 9.3 supported at all in ...
1
vote
0answers
332 views

Qgis Server - Ubuntu 13.04 - Can't create a directory [closed]

I'm Portuguese (sorry about my English) and this is my first post here. It would be very useful to me, to discover how to get to work qgis server+ qgis web client. I'm a Windows user, so, I followed ...
3
votes
0answers
140 views

Linux Tool to visualize CityGML file

I am looking for a linux program that allows me to visualize CityGML models (3D). I have tried a whole bunch so far (most of them via wine but also native ones) but I couldn't get a single one of them ...
1
vote
0answers
299 views

Couldn't load PyQGIS, QGIS 2.0.1 on Ubuntu 12.04 Precise

After upgrading to QGIS 2.0.1 I still get the error: Couldn't load PyQGIS. Python support will be disabled. Traceback (most recent call last): File "", line 1, in File ...
1
vote
2answers
655 views

Error .ecw is not a supported raster data source

I am a user from Spain and a I have recently installed QGIS 2.0 in my computer which has Ubuntu 13.04 and when I try to use an .ecw file it says: Error, .ecw is not a supported raster data source. I ...
0
votes
1answer
135 views

Failure to install QGIS 2 - held broken packages

I pasted the issue about not being able to install QGIS 2 on Ubuntu Raring on an ubuntu forum: launchpad.net apt questions and the answer seemed to indicate the problem is with QGIS? Thread: ...
5
votes
2answers
2k views

Installing qgis 2.0 and saga 2.1 on ubuntu 13.04

I have been trying to get this working for a few weeks now. I am trying to install QGIS Dufor (2.0.1) and Saga GIS from the Unstable branch of the UbuntuGIS PPA. When I attempt to do this I get the ...
1
vote
0answers
110 views

Possible to rollback from QGIS 2.0.1?

I'm running Ubuntu 12.04 LTS. Unfortunately Ubuntu has automatically upgraded my QGIS from 1.8 to 2.0.1. And 2.0.1 which creates GeoJSON files that OpenLayers cannot parse. Would be best for me to ...
1
vote
1answer
367 views

Why can't I add the the qgis.org repository public key to Ubuntu 12.04 [closed]

I'm tryng to intall QGis in Ubuntu 12.04 but I can't import the public key: mferreira@cibiows1:~$ gpg --recv-key 997D3880 gpg: requesting key 997D3880 from hkp server keys.gnupg.net gpg: keyserver ...
8
votes
2answers
1k views

Building FGDB support for GDAL 1.10 on Ubuntu

Because data.gc.ca is now distributing some of its data in FGDB format (example: Plant Hardiness Zones), I would like to be able to use it with gdal/QGIS. The compile/install is not going as planned, ...
0
votes
1answer
35 views

QGis not upgrading from 1.9.0. Ubuntu, Raring, using nghtly PPA

I'm currently running 1.9.0 on ubuntu raring, through the nightly ppas: deb http://qgis.org/debian-nightly raring main deb-src http://qgis.org/debian-nightly raring main But it doesn't update ...
0
votes
0answers
173 views

Why are some values missing from the imported CSV?

Bit of a strange one: i'm importing a CSV where the rows are the WKT data for regularly progressing rectangles from a grid, then the rectangle name, then values (ranging between 2 & 254). When I ...
3
votes
1answer
2k views

Manually building a tile server

I use this instruction http://switch2osm.org/serving-tiles/manually-building-a-tile-server-12-04/ I have the problem on the step "Starting your tileserver" sudo mkdir /var/run/renderd sudo chown ...
0
votes
2answers
222 views

Is it possible to intall the opengeostack and QGIS nightly?

Did someone managed to get the opengeostack running alongside qgis so the plugin suite-qgis-plugin can be used? I am trying it on ubuntu1304, installing opengeostack works ok, but then when installing ...
0
votes
1answer
1k views

Can not make qgis.db private copy

I've just installed Qgis 2.0.1 and the above error message appears. Does anyone know how to resolve this problem? I think I need to change the permissions of the relevant folder, but I'm not ...
1
vote
1answer
2k views

Mapnik Initialization does not work

I create geodatabase "training" sudo su su postgres createdb -E UTF8 template_postgis2 createlang -d template_postgis2 plpgsql psql -d postgres -c "UPDATE pg_database SET datistemplate='true' WHERE ...
2
votes
1answer
216 views

What the difference: mapnik and mapnik2?

I use Ubuntu 12.04 LTC, postgres 9.1, postgis 2.0. I install mapnik. $ sudo add-apt-repository ppa:mapnik/nightly-trunk $ sudo apt-get update $ sudo apt-get install libmapnik mapnik-utils ...
1
vote
1answer
294 views

How to install two versions of Qgis on Ubuntu 12.04?

I would like to run multiple versions of QGIS on Ubuntu 12.04. Can I do that, and how if so?